FROM 10.10.100.200:5000/node-yarn:8.10-alpine

RUN mkdir -p /app
WORKDIR /app

COPY . /app

RUN chmod +x run.sh

RUN yarn && yarn run build

RUN export SASS_BINARY_PATH=linux_musl-x64-57_binding.node
RUN export PATH=$PATH:$SASS_BINARY_PATH

CMD [ "sh", "run.sh" ]
